### Function

# Vips slist_filter

#### Declaration [src]

    GSList*
    vips_slist_filter (
      GSList* list,
      VipsSListMap2Fn fn,
      void* a,
      void* b
    )

#### Description [src]

Remove all occurrences of an item from a list. Returns the new head of the list.

#### Parameters

`list`

  Type: A list of `guint8`

  A `GSList`.

  The data is owned by the caller of the function.

`fn`

  Type: `VipsSListMap2Fn`

  Function to call for each element.

`a`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: A list of `guint8`

New head of `list`.

The caller of the function takes ownership of the data, and is responsible for freeing it.